Libav is a complete, cross-platform solution to record, convert and stream audio and video. It includes libavcodec - the leading audio/video codec library.

learn more… | top users | synonyms

1
vote
1answer
30 views

How to mix and play back multiple audio tracks from a video file?

I have a video file (in an mkv container) with multiple audio tracks (aid=1,2,...). Using either mplayer or mpv, how can I play two of the audio tracks simultaneously (ideally being able to set each ...
0
votes
1answer
536 views

To install Ubuntu restricted extras, these items must be removed

when I want to install Ubuntu restricted extras, it says that to install Ubuntu restricted extras, these items must be removed: Libav codec library libavcodec54. I want to know that what will ...
2
votes
1answer
2k views

avprobe - doesn't output json document

I'm trying to create a json file with information of a mp4 file with avprobe, but it doesn't print nothing. The command avprobe -v 0 -show_format -of json myvideo.mp4 My avprobe version avprobe ...
0
votes
1answer
686 views

can't play wmv files - Failed to initialize the VAAPI device

I'm trying to run wmv files, and tryed some advices from here, but without any success. I have vlc and ubuntu-restricted-extras. I also did a purge, autoremove and re-installthem. This is what I ...
1
vote
0answers
351 views

LibAv: Set a custom Header in RTSP stream

I am trying to play a chunk of video retrieved from an Axis M3004V camera. The camera is continuously recording video in an internal MicroSD card. That video receives a recordingid I can use to query. ...
0
votes
1answer
210 views

Installing libav 10 on Ubuntu 14.04

I need libav version 10 or higher. I'm running Ubuntu 14.0.3. I have versions 9.18-6 installed. Looking at https://libav.org/download/ - I see some source files I could try to compile - but I'd ...
2
votes
1answer
203 views

How can I revert libavcodec-extra-54 to libavcodec54?

I am on Ubuntu 14.04.3 32bit platform. I want to compile opencv, it requires libavcodec-dev. I want to install it but it needs a long list of packages. It would be easy if I could just install them ...
-2
votes
1answer
170 views

How to install a newer version of libav than what is in the repos

I'm currently running debian 7 wheezy, but the package management system is the same as ubuntu so I thought I'd ask here. I'm trying to install at least version 9.x of libav. The current version in ...
3
votes
2answers
872 views

How to install libavcodec54 in ubuntu vivid?

Apparently spotify needs libavcodec54 (or 53 or 52) to play local mp3 files. Unfortunately - it doesn't work with libavcodec56 which is in Vivid. I tried symlinking libavcodec56 under name of *54, ...
5
votes
1answer
768 views

Is it possible to have both libav and ffmpeg installed and running on ubuntu 14.04?

I want to use Clementine but it needs ffmpeg to be installed if I want to play .ape files from it. On the other way, I still want to have VLC up and running, and I understand that VLC does no longer ...
1
vote
1answer
6k views

How to install libav from launchpad?

How could I install this package from launchpad on ubuntu 12.04?? https://launchpad.net/ubuntu/+source/libav
0
votes
1answer
315 views

Uninstall libav packages after re-installing from source

I'm running kubuntu 14.04 and don't plan on upgrading until at least these summer holidays. The libav packages provided are somewhat outdated (two major versions behind) and produce unsatisfying ...
-1
votes
1answer
769 views

downgrade ubuntu 14.10 to ubuntu 14.04 or 12.04 [duplicate]

Well i installed ubuntu 14.10 with gnome deskotp environment but during installation of opencv. I am having issues with libav as recent ubuntu uses api version 11 and I need api version 9 so i want to ...
1
vote
0answers
227 views

Open Cv installation problem

I am following this link for installing OpenCv but on the make step I came across an error: home/aman/opencv/opencv/modules/videoio/src/ffmpeg_codecs.hpp:98:7: error: ‘CODEC_ID_H264’ was not ...
0
votes
1answer
345 views

avformat package seems to have outdated headers

I have libavformat56 and libavformat-dev installed on my machine. I'm building some source right now which uses the libavformat.h header. The source (nameply the Pangolin library by Steven Lovegrove) ...
3
votes
2answers
7k views

converting multiple files with avconv…libmp3lame0 not found [duplicate]

I have about 20 .webm files that I would like to convert to audio in the terminal. I want to do avconv -i *.webm -acodec libmp3lame0 -aq 4 *.mp3 I tried: for i in *.webm; do avconv -i "${i}" ...
6
votes
2answers
3k views

Very slow conversion with avconv (libav) - Trusty Tahr 14.04?

Yesterday I installed the latest Kubuntu release 14.04. So I meet a little problems with the media conversions. The old FFmpeg is finally replaced with avconv which is in the libav-tools library. Till ...
3
votes
1answer
478 views

Video Conversion using libav with libopus

i need to convert my video files with VP8 / Opus in Matroska(mkv) container using avconv in terminal Can anyone give example usage of it?
0
votes
1answer
268 views

Self-compiled FFmpeg, checkinstall and APT dependencies

I've compiled FFmpeg and installed it with checkinstall. Now, I'm trying to install OpenCV development files, but it wants to install libavcodec-dev libavcodec54 libavformat54 libavutil-dev ...
1
vote
0answers
80 views

How do I install ffmpeg? [duplicate]

I need to install the package ffmpeg because I am trying to install subsonic server on my new Ubuntu Gnome 14.04 When I try: apt-get install ffmpeg I get: Some packages could not be installed. ...
0
votes
1answer
516 views

libav : deinsterlace option?

I have compiled from GIT sources the libav 2014-march-10. On usual libav from Ubuntu repositories, I was able to use -deinterlace to... well, deinterlace the video. Now this option appears to be ...
2
votes
1answer
1k views

build libav from GIT using --enable-*

I need to get a newer version of libav-tools (containing avconv) to get the AAC-encoder to resample an input 6-channel audio stream into an output 2-channel one. I successfully built the package, ...
0
votes
1answer
8k views

Installation of libavcodec-extra or libmp3lame fails

I'm trying to install ffmpeg on my dedicated server running on ubuntu 10.04. I want to convert flv-videos to mp3 sound files. As I found out, I have to install libavcodec-extra-52. When I use sudo ...
1
vote
0answers
730 views

Specify shared library location for VLC

I built (from source) a newer version of libavcodec.so, libavformat.so, etc. than provided by the Ubuntu repositories. (My newer versions are installed in /usr/local/lib). Using ldd /usr/bin/vlc to ...
5
votes
2answers
2k views

Why can't I watch video after installing the original ffmpeg fork from Jon Severinson's PPA?

I just installed the Jon Severinsson ffmpeg PPA, and I cant watch any video and get audio only, I get a need extra plugins needed install? and then packaged dependencies could no be resolved . Here ...
2
votes
2answers
1k views

12.04 upgrade libav from 53 to 54

I am using the latest release of blender 2.66 on 12.04 from the command line. It is looking for libavformat.so.54 but I only seem to have libavformat.so.53 installed, and cant find a way to upgrade ...
1
vote
1answer
1k views

Muxing h264 stream into mp4

I've a H.264 stream (.264). How do I pack (mux) it into a .mp4 file? I know I need to use avconv, but I couldn't get it to work.
2
votes
1answer
106 views

Can Not install available update

i can't check to install this available update here is my problem about my ubuntu: i have tried it from terminal with sudo apt-get update, but it still unsolved